System requirements

To be able to complete the online registration, you need the following system requirements. Please read them carefully.

Please ensure that you meet the following system requirements:
Internet Explorer Version 5.0 or later with 128-bit encryption and Java enabled (please notice that the IE Version 7.0 and the Mozilla Firefox Version 1.5.are not supported).
If you do not have Java Runtime Environment installed on your computer, the following downloads are available:

If you have another operating system (e.g. Linux, Solaris) you will find the corresponding download for the Sun Java Runtime Environment 1.3.1_07 here:


Notes on System Requirements and Java Plug-Ins


· Client Browser 

Microsoft© IE 8.x, 9, 10, 11; FF27; Chrome 33.x

· Java VM 

Sun©  JVM 4,5,6,7

· Office Tools

MS Office 2003+; Acrobar Reader 11

· Operation System

MS Windows XP, Windows 7